bicenter.wt {ade4} | R Documentation

## Double Weighted Centring

### Description

This function creates a doubly centred matrix.

### Usage

    bicenter.wt(X, row.wt = rep(1, nrow(X)), col.wt = rep(1, ncol(X)))

### Arguments

`X` | a matrix with n rows and p columns
`row.wt` | a vector of positive or null weights of length n
`col.wt` | a vector of positive or null weights of length p

### Value

returns a doubly centred matrix

### Author(s)

Daniel Chessel

### Examples

    w <- matrix(1:6, 3, 2)
    bicenter.wt(w, c(0.2,0.6,0.2), c(0.3,0.7))

    w <- matrix(1:20, 5, 4)
    sum(bicenter.wt(w, runif(5), runif(4))^2)

[Package ade4 version 1.7-13 Index]